This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 961404 - Review Request: mingw-gtkspellmm30 - MinGW Windows GtkSpellmm library
Review Request: mingw-gtkspellmm30 - MinGW Windows GtkSpellmm library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:48 EDT by Sandro Mani
Modified: 2013-06-13 22:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-gtkspellmm30-3.0.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-05-09 10:48:19 EDT
Spec URL: http://smani.fedorapeople.org/mingw-gtkspellmm30.spec
SRPM URL: http://smani.fedorapeople.org/mingw-gtkspellmm30-3.0.1-1.fc20.src.rpm
Description: MinGW Windows GtkSpellmm library
Fedora Account System Username: smani
Comment 1 Sandro Mani 2013-05-19 15:43:43 EDT
Spec URL: http://smani.fedorapeople.org/mingw-gtkspellmm30.spec
SRPM URL: http://smani.fedorapeople.org/mingw-gtkspellmm30-3.0.1-2.fc20.src.rpm

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.0.1-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires
Comment 2 Erik van Pienbroek 2013-05-20 14:50:24 EDT
$ rpmlint mingw-gtkspellmm30.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-gtkspellmm30-3.0.1-2.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-gtkspellmm30-3.0.1-2.fc19.noarch.rpm mingw32-gtkspellmm30-static-3.0.1-2.fc19.noarch.rpm mingw64-gtkspellmm30-3.0.1-2.fc19.noarch.rpm mingw64-gtkspellmm30-static-3.0.1-2.fc19.noarch.rpm 
mingw32-gtkspellmm30-static.noarch: W: no-documentation
mingw64-gtkspellmm30-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


$ rpm --query --requires mingw32-gtkspellmm30
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglibmm-2.4-1.dll)
mingw32(libgobject-2.0-0.dll)
mingw32(libgtkmm-3.0-1.dll)
mingw32(libgtkspell3-3-0.dll)
mingw32(libintl-8.dll)
mingw32(libsigc-2.0-0.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-gtkspellmm30
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libgcc_s_seh-1.dll)
mingw64(libglibmm-2.4-1.dll)
mingw64(libgobject-2.0-0.dll)
mingw64(libgtkmm-3.0-1.dll)
mingw64(libgtkspell3-3-0.dll)
mingw64(libsigc-2.0-0.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-gtkspellmm30-static
mingw32-gtkspellmm30 = 3.0.1-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-gtkspellmm30-static
mingw64-gtkspellmm30 = 3.0.1-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-gtkspellmm30
mingw32-gtkspellmm30 = 3.0.1-2.fc19
mingw32(libgtkspellmm-3.0-0.dll)

$ rpm --query --provides mingw64-gtkspellmm30
mingw64-gtkspellmm30 = 3.0.1-2.fc19
mingw64(libgtkspellmm-3.0-0.dll)

$ rpm --query --provides mingw32-gtkspellmm30-static
mingw32-gtkspellmm30-static = 3.0.1-2.fc19

$ rpm --query --provides mingw64-gtkspellmm30-static
mingw64-gtkspellmm30-static = 3.0.1-2.fc19


$ wget --quiet http://downloads.sourceforge.net/gtkspell/gtkspellmm-3.0.1.tar.gz -O - | md5sum
bf36504f2c837f1109885a082fd90153  -
$ md5sum gtkspellmm-3.0.1.tar.gz 
bf36504f2c837f1109885a082fd90153  gtkspellmm-3.0.1.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The mingw32 package requires libintl-8.dll while the mingw64 package does not.
This looks suspicious and needs to be investigated first.
Comment 3 Erik van Pienbroek 2013-05-20 15:01:37 EDT
(In reply to Erik van Pienbroek from comment #2)
> The mingw32 package requires libintl-8.dll while the mingw64 package does
> not. This looks suspicious and needs to be investigated first.

Apparently this is a bug in the mingw-gettext package. Its mingw32 version of libintl-8.dll exports a symbol called 'InterlockedCompareExchange' which is actually part of the Win32 API. Gettext shouldn't export this symbol so this needs to be resolved in the mingw-gettext package.


========================================================
 The package mingw-gtkspellmm30 is APPROVED by epienbro
========================================================
Comment 4 Sandro Mani 2013-05-20 18:23:48 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-gtkspellmm30
Short Description: MinGW Windows GtkSpellmm library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-05-20 19:31:01 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-04 06:36:21 EDT
mingw-gtkspellmm30-3.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-gtkspellmm30-3.0.2-1.fc18
Comment 7 Fedora Update System 2013-06-04 06:37:28 EDT
mingw-gtkspellmm30-3.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-gtkspellmm30-3.0.2-1.fc19
Comment 8 Fedora Update System 2013-06-04 22:31:51 EDT
mingw-gtkspellmm30-3.0.2-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-13 02:44:00 EDT
mingw-gtkspellmm30-3.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-06-13 22:34:03 EDT
mingw-gtkspellmm30-3.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.